import type { RawRscClientReferenceManifestRspackPluginOptions } from "@rspack/binding";
import type { Compiler } from "../Compiler";
import type { RuleSetCondition } from "../config/zod";
import type { RspackBuiltinPlugin } from "./base";
interface ResolvedOptions {
    routes: NonNullable<RawRscClientReferenceManifestRspackPluginOptions["routes"]>;
    entry: Record<string, string>;
    root: string;
}
interface Options extends Pick<RawRscClientReferenceManifestRspackPluginOptions, "routes"> {
    exclude?: RuleSetCondition;
}
export declare class RSCClientReferenceManifestRspackPlugin {
    plugin: RspackBuiltinPlugin;
    options: Options;
    resolvedOptions: ResolvedOptions;
    constructor(options?: Options);
    apply(compiler: Compiler): void;
    resolveOptions(compiler: Compiler): ResolvedOptions;
}
export {};
