"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RSCProxyRspackPlugin = void 0;
class RSCProxyRspackPlugin {
    constructor(options) {
        this.options = options;
    }
    apply(compiler) {
        if (!compiler.options.module.rules) {
            compiler.options.module.rules = [];
        }
        compiler.options.module.rules.push({
            enforce: "post",
            test: [/\.(j|t|mj|cj)sx?$/i],
            exclude: this.options.exclude ?? {
                // Exclude libraries in node_modules ...
                and: [/node_modules/]
            },
            use: [
                {
                    loader: "builtin:rsc-proxy-loader",
                    options: this.options
                }
            ]
        });
    }
}
exports.RSCProxyRspackPlugin = RSCProxyRspackPlugin;
